Bug 1284400 - Review Request: koji-containerbuild - Koji support for building layered container images
Review Request: koji-containerbuild - Koji support for building layered conta...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 04:07 EST by Pavol Babinčák
Modified: 2016-01-06 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 16:36:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pavol Babinčák 2015-11-23 04:07:38 EST
Spec URL: https://github.com/release-engineering/koji-containerbuild/blob/develop/koji-containerbuild.spec
SRPM URL: https://pbabinca.fedorapeople.org/koji-containerbuild/koji-containerbuild-0.5.4-2fc23.src.rpm
Description: Koji support for building layered container images
Fedora Account System Username: pbabinca
Comment 1 Pavol Babinčák 2015-11-23 04:19:38 EST
Spec URL: https://raw.githubusercontent.com/release-engineering/koji-containerbuild/develop/koji-containerbuild.spec
SRPM URL: https://pbabinca.fedorapeople.org/koji-containerbuild/koji-containerbuild-0.5.4-2fc23.src.rpm
Description: Koji support for building layered container images
Fedora Account System Username: pbabinca
Comment 2 Adam Miller 2015-11-24 12:35:49 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Package contains BR: python2-devel or python3-devel
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 11 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/1284400-koji-containerbuild/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/koji-builder-plugins,
     /usr/lib/python2.7/site-packages/koji_containerbuild
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/koji-builder-plugins,
     /usr/lib/python2.7/site-packages/koji_containerbuild, /usr/lib/koji-
     hub-plugins
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in koji-
     containerbuild-hub , koji-containerbuild-builder , koji-
     containerbuild-cli
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitelib: %define
     python_sitelib %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib()")}, %{!?python_sitelib: %define
     python_sitelib %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib()")}, %define module
     koji_containerbuild
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: koji-containerbuild-0.5.4-2.fc24.noarch.rpm
          koji-containerbuild-hub-0.5.4-2.fc24.noarch.rpm
          koji-containerbuild-builder-0.5.4-2.fc24.noarch.rpm
          koji-containerbuild-cli-0.5.4-2.fc24.noarch.rpm
          koji-containerbuild-0.5.4-2.fc24.src.rpm
koji-containerbuild.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-hub.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-hub.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-hub.noarch: W: no-documentation
koji-containerbuild-builder.noarch: W: spelling-error %description -l en_US buildsystem -> build system, build-system, subsystem
koji-containerbuild-builder.noarch: E: description-line-too-long C Builder plugin that extend Koji to communicate with OpenShift buildsystem and build layered container images.
koji-containerbuild-builder.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-builder.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-builder.noarch: W: no-documentation
koji-containerbuild-cli.noarch: W: spelling-error %description -l en_US buildsystem -> build system, build-system, subsystem
koji-containerbuild-cli.noarch: E: description-line-too-long C Builder plugin that extend Koji to communicate with OpenShift buildsystem and build layered container images.
koji-containerbuild-cli.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-cli.noarch: W: no-documentation
koji-containerbuild-cli.noarch: E: non-standard-executable-perm /usr/bin/koji-containerbuild 775
koji-containerbuild-cli.noarch: W: no-manual-page-for-binary koji-containerbuild
koji-containerbuild.src: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild.src:70: E: hardcoded-library-path in %{_prefix}/lib/koji-hub-plugins
koji-containerbuild.src:71: E: hardcoded-library-path in %{_prefix}/lib/koji-hub-plugins/hub_containerbuild.py
koji-containerbuild.src:72: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins
koji-containerbuild.src:73: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/builder_containerbuild.py
koji-containerbuild.src:88: E: hardcoded-library-path in %{_prefix}/lib/koji-hub-plugins/hub_containerbuild.py*
koji-containerbuild.src:92: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/builder_containerbuild.py*
koji-containerbuild.src: W: invalid-url Source0: koji-containerbuild-0.5.4.tar.gz
5 packages and 0 specfiles checked; 9 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
koji-containerbuild-hub.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-hub.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-hub.noarch: W: no-documentation
koji-containerbuild-builder.noarch: E: description-line-too-long C Builder plugin that extend Koji to communicate with OpenShift buildsystem and build layered container images.
koji-containerbuild-builder.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-builder.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-builder.noarch: W: no-documentation
koji-containerbuild.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-cli.noarch: E: description-line-too-long C Builder plugin that extend Koji to communicate with OpenShift buildsystem and build layered container images.
koji-containerbuild-cli.noarch: W: invalid-url URL: https://github.com/release-engineering/${name} HTTP Error 404: Not Found
koji-containerbuild-cli.noarch: W: no-documentation
koji-containerbuild-cli.noarch: E: non-standard-executable-perm /usr/bin/koji-containerbuild 775
koji-containerbuild-cli.noarch: W: no-manual-page-for-binary koji-containerbuild
4 packages and 0 specfiles checked; 3 errors, 10 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/admiller/reviews/1284400-koji-containerbuild/srpm/koji-containerbuild.spec    2015-11-24 11:10:07.234422571 -0600
+++ /home/admiller/reviews/1284400-koji-containerbuild/srpm-unpacked/koji-containerbuild.spec   2015-11-20 14:11:58.000000000 -0600
@@ -11,15 +11,5 @@

 License:        LGPLv2
-URL:            https://github.com/release-engineering/%{name}
-#Use the following commands to generate the tarball:
-#
-#    git clone --single-branch --branch koji-containerbuild-VERSION-RELEASE \
-#      https://github.com/release-engineering/koji-containerbuild.git && \
-#    cd ./koji-containerbuild && \
-#    python setup.py sdist
-#
-#Where:
-#- VERSION is version macro from specfile
-#- RELEASE is release macro from specfile and dist is not defined (empty)
+URL:            https://github.com/release-engineering/${name}
 Source0:        %{name}-%{version}.tar.gz
 BuildArch:      noarch
@@ -54,5 +44,5 @@

 %description builder
-Builder plugin that extend Koji to communicate with OpenShift build system and build layered container images.
+Builder plugin that extend Koji to communicate with OpenShift buildsystem and build layered container images.


@@ -63,5 +53,5 @@

 %description cli
-Builder plugin that extend Koji to communicate with OpenShift build system and build layered container images.
+Builder plugin that extend Koji to communicate with OpenShift buildsystem and build layered container images.

 %prep


Requires
--------
koji-containerbuild-hub (rpmlib, GLIBC filtered):
    koji-hub

koji-containerbuild-builder (rpmlib, GLIBC filtered):
    koji-builder
    osbs
    python-dockerfile-parse
    python-pycurl
    python-urlgrabber

koji-containerbuild (rpmlib, GLIBC filtered):
    koji
    python(abi)

koji-containerbuild-cli (rpmlib, GLIBC filtered):
    /usr/bin/env
    koji-builder



Provides
--------
koji-containerbuild-hub:
    koji-containerbuild-hub

koji-containerbuild-builder:
    koji-containerbuild-builder

koji-containerbuild:
    koji-containerbuild

koji-containerbuild-cli:
    koji-containerbuild-cli



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1284400 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Notes
-----

See areas marked [!] in above review template.

Please update to comply with Fedora Python Packaging Guidelines.
    https://fedoraproject.org/wiki/Packaging:Python
Comment 3 Pavol Babinčák 2015-12-03 08:27:54 EST
Spec URL: https://pbabinca.fedorapeople.org/koji-containerbuild/koji-containerbuild.spec
SRPM URL: https://pbabinca.fedorapeople.org/koji-containerbuild/koji-containerbuild-0.5.4-3fc23.src.rpm
Description: Koji support for building layered container images
Fedora Account System Username: pbabinca

Differences from previous srpm: https://github.com/release-engineering/koji-containerbuild/compare/koji-containerbuild-0.5.4-2...koji-containerbuild-0.5.4-3

Differences from previously linked spec file: https://github.com/release-engineering/koji-containerbuild/compare/35196bb9e1b4d8e73fa7441ccdb05a826198e81a...koji-containerbuild-0.5.4-3

This time spec file should create the same srpm as provided in URL above.

For the record previous spec and srpm are located here:
https://pbabinca.fedorapeople.org/koji-containerbuild/previous-2015-11-23
Comment 4 Adam Miller 2015-12-03 10:28:31 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 11 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/1284400-koji-containerbuild/review-koji-
     containerbuild/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/koji-builder-plugins
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/koji-builder-plugins,
     /usr/lib/koji-hub-plugins
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in koji-
     containerbuild-hub , koji-containerbuild-builder , koji-
     containerbuild-cli
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define module
     koji_containerbuild
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: koji-containerbuild-0.5.4-3.fc23.noarch.rpm
          koji-containerbuild-hub-0.5.4-3.fc23.noarch.rpm
          koji-containerbuild-builder-0.5.4-3.fc23.noarch.rpm
          koji-containerbuild-cli-0.5.4-3.fc23.noarch.rpm
          koji-containerbuild-0.5.4-3.fc23.src.rpm
koji-containerbuild-hub.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-hub.noarch: W: no-documentation
koji-containerbuild-builder.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-builder.noarch: W: no-documentation
koji-containerbuild-cli.noarch: W: no-documentation
koji-containerbuild-cli.noarch: W: no-manual-page-for-binary koji-containerbuild
koji-containerbuild.src:84: E: hardcoded-library-path in %{_prefix}/lib/koji-hub-plugins
koji-containerbuild.src:85: E: hardcoded-library-path in %{_prefix}/lib/koji-hub-plugins/hub_containerbuild.py
koji-containerbuild.src:86: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins
koji-containerbuild.src:87: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/builder_containerbuild.py
koji-containerbuild.src:102: E: hardcoded-library-path in %{_prefix}/lib/koji-hub-plugins/hub_containerbuild.py*
koji-containerbuild.src:105: E: hardcoded-library-path in %{_prefix}/lib/koji-builder-plugins/builder_containerbuild.py*
koji-containerbuild.src: W: invalid-url Source0: koji-containerbuild-0.5.4.tar.gz
5 packages and 0 specfiles checked; 6 errors, 7 warnings.


These are probably fine, where there are warnings/errors this makes sense in the case of koji.


Rpmlint (installed packages)
----------------------------
koji-containerbuild-hub.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-hub.noarch: W: no-documentation
koji-containerbuild-builder.noarch: W: only-non-binary-in-usr-lib
koji-containerbuild-builder.noarch: W: no-documentation
koji-containerbuild-cli.noarch: W: no-documentation
koji-containerbuild-cli.noarch: W: no-manual-page-for-binary koji-containerbuild
4 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
koji-containerbuild-hub (rpmlib, GLIBC filtered):
    koji-hub

koji-containerbuild-builder (rpmlib, GLIBC filtered):
    koji-builder
    osbs-client
    python-dockerfile-parse
    python-pycurl
    python-urlgrabber

koji-containerbuild (rpmlib, GLIBC filtered):
    python(abi)

koji-containerbuild-cli (rpmlib, GLIBC filtered):
    /usr/bin/env
    koji



Provides
--------
koji-containerbuild-hub:
    koji-containerbuild-hub

koji-containerbuild-builder:
    koji-containerbuild-builder

koji-containerbuild:
    koji-containerbuild

koji-containerbuild-cli:
    koji-containerbuild-cli



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n koji-containerbuild
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Notes
-----

The subpackages are missing the license.

BuildRoot definition is no longer needed, please remove it.

%clean section is no longer needed, please remove it.

%define should be %global unless there's a specific need for %define in macro expansion.

There is technically a dangling directory of /usr/lib/koji-builder-plugins but I think that's fine since the dependency chain will pull that. You could alternatively have the package own the directory just for good house keeping. I don't have a firm opinion about it though and I don't consider it a blocker for package review.
Comment 5 Pavol Babinčák 2015-12-04 08:40:20 EST
Spec URL: https://pbabinca.fedorapeople.org/koji-containerbuild/koji-containerbuild.spec
SRPM URL: https://pbabinca.fedorapeople.org/koji-containerbuild/koji-containerbuild-0.5.5-1.fc23.src.rpm

Differences from previous srpm: https://github.com/release-engineering/koji-containerbuild/compare/koji-containerbuild-0.5.4-3...koji-containerbuild-0.5.5-1


(In reply to Adam Miller from comment #4)
> Notes
> -----
> 
> The subpackages are missing the license.
Fixed.

> 
> BuildRoot definition is no longer needed, please remove it.
> 
> %clean section is no longer needed, please remove it.
> 
These are needed for EPEL 5 https://fedoraproject.org/wiki/EPEL:Packaging So I guess you can use fedora-review -D EPEL5. I'm not sure how to solve the issue it printed:

- EPEL5: Package does run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
  beginning of %install.

as spec file has that in the beginning of %install.


> %define should be %global unless there's a specific need for %define in
> macro expansion.
> 
Fixed.

> There is technically a dangling directory of /usr/lib/koji-builder-plugins
> but I think that's fine since the dependency chain will pull that. You could
> alternatively have the package own the directory just for good house
> keeping. I don't have a firm opinion about it though and I don't consider it
> a blocker for package review.
I see. I guess koji could own that directory. But currently there are no plugins nor configuration in koji to reference that directory.
Comment 6 Adam Miller 2015-12-07 18:13:55 EST
APPROVED
Comment 7 Gwyn Ciesla 2015-12-09 08:26:15 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/koji-containerbuild
Comment 8 Fedora Update System 2015-12-17 07:58:33 EST
koji-containerbuild-0.5.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b67cbb3ff
Comment 9 Fedora Update System 2015-12-17 07:59:57 EST
koji-containerbuild-0.5.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fae06c3c21
Comment 10 Fedora Update System 2015-12-17 08:01:17 EST
koji-containerbuild-0.5.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-18264539b3
Comment 11 Fedora Update System 2015-12-17 08:02:22 EST
koji-containerbuild-0.5.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e856684420
Comment 12 Fedora Update System 2015-12-17 08:03:25 EST
koji-containerbuild-0.5.5-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-62912880b1
Comment 13 Fedora Update System 2015-12-18 05:19:19 EST
koji-containerbuild-0.5.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update koji-containerbuild'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-62912880b1
Comment 14 Fedora Update System 2015-12-18 06:26:31 EST
koji-containerbuild-0.5.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update koji-containerbuild'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fae06c3c21
Comment 15 Fedora Update System 2015-12-18 06:55:23 EST
koji-containerbuild-0.5.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update koji-containerbuild'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b67cbb3ff
Comment 16 Fedora Update System 2015-12-18 09:19:38 EST
koji-containerbuild-0.5.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update koji-containerbuild'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e856684420
Comment 17 Fedora Update System 2015-12-18 09:20:25 EST
koji-containerbuild-0.5.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update koji-containerbuild'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-18264539b3
Comment 18 Fedora Update System 2016-01-05 16:36:38 EST
koji-containerbuild-0.5.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-01-05 16:57:34 EST
koji-containerbuild-0.5.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-01-05 17:54:10 EST
koji-containerbuild-0.5.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-01-05 20:22:43 EST
koji-containerbuild-0.5.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-01-05 21:52:25 EST
koji-containerbuild-0.5.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Anssi Johansson 2016-01-06 03:40:55 EST
koji-containerbuild-builder-0.5.5-1.el6.noarch requires osbs-client, which is not available.
Comment 24 Anssi Johansson 2016-01-06 09:51:54 EST
The above EPEL6 osbs-client issue is being tracked in bug 1296032.

Note You need to log in before you can comment on or make changes to this bug.